org.apache.ode.axis2

## Class SoapExternalService

- java.lang.Object
- - org.apache.ode.axis2.SoapExternalService

- All Implemented Interfaces:
    ExternalService, PartnerRoleChannel

      public class SoapExternalService
      extends java.lang.Object
      implements ExternalService

  Acts as a service not provided by ODE. Used mainly for invocation as a way to maintain the WSDL description of used services.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WSAEndpoint` | `endpointReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoapExternalService(ProcessConf pconf, javax.xml.namespace.QName serviceName, java.lang.String portName, java.util.concurrent.ExecutorService executorService, org.apache.axis2.engine.AxisConfiguration axisConfig, Scheduler sched, BpelServer server, org.apache.commons.httpclient.MultiThreadedHttpConnectionManager connManager, ClusterUrlTransformer clusterUrlTransformer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the communication channel.
    `EndpointReference` | `getInitialEndpointReference()` Return the endpoint reference to the endpoint with which the channel was initialized or `null` if the channel was initialized without an initial endpoint.
    `java.lang.String` | `getPortName()`
    `javax.xml.namespace.QName` | `getServiceName()`
    `void` | `invoke(PartnerRoleMessageExchange odeMex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### endpointReference

          protected WSAEndpoint endpointReference

  - ### Constructor Detail

    - #### SoapExternalService

          public SoapExternalService(ProcessConf pconf,
                             javax.xml.namespace.QName serviceName,
                             java.lang.String portName,
                             java.util.concurrent.ExecutorService executorService,
                             org.apache.axis2.engine.AxisConfiguration axisConfig,
                             Scheduler sched,
                             BpelServer server,
                             org.apache.commons.httpclient.MultiThreadedHttpConnectionManager connManager,
                             ClusterUrlTransformer clusterUrlTransformer)
                              throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### invoke

          public void invoke(PartnerRoleMessageExchange odeMex)

      Specified by:
        `invoke` in interface `ExternalService`

    - #### getInitialEndpointReference

          public EndpointReference getInitialEndpointReference()

      Description copied from interface: `PartnerRoleChannel`
      Return the endpoint reference to the endpoint with which the channel was initialized or `null` if the channel was initialized without an initial endpoint.
      Specified by:
        `getInitialEndpointReference` in interface `PartnerRoleChannel`
      Returns:
        endpoint reference or null

    - #### close

          public void close()

      Description copied from interface: `PartnerRoleChannel`
      Close the communication channel.
      Specified by:
        `close` in interface `PartnerRoleChannel`

    - #### getPortName

          public java.lang.String getPortName()

      Specified by:
        `getPortName` in interface `ExternalService`

    - #### getServiceName

          public javax.xml.namespace.QName getServiceName()

      Specified by:
        `getServiceName` in interface `ExternalService`